<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <h3>FORM</h3>

    <form action="" method="">
      <label for="name">First Name</label>
      <input type="text" name="name" id="name" />
      <br />

      <label for="password">Password</label>
      <input
        type="password"
        name="password"
        id="password"
        placeholder="password"
      />
      <br />

      <label for="email">Email</label>
      <input type="email" name="email" id="email" value="default@email.com" />
      <br />

      <!-- TEXTAREA ==> gives more space to write text-->
      <label for="description">Description</label>
      <textarea
        name="description"
        id="description"
        cols="40"
        rows="5"
      ></textarea>

      <p>Please select your favourite coding language</p>
      <input type="radio" name="coding" value="C++" id="coding" />C++
      <input type="radio" name="coding" value="java" id="coding" />Java
      <input type="radio" name="coding" value="python" id="coding" />Python

      <p>Please select your favourite coding language</p>
      <input type="checkbox" name="coding" value="C" id="coding" />C
      <input type="checkbox" name="coding" value="java" id="coding" />Java
      <input type="checkbox" name="coding" value="python" id="coding" />Python

      <p>Please select your favourite coding language</p>
      <select name="languages" id="">
        <option value="C++">C++</option>
        <option value="Java++">Java</option>
        <option value="Python">Python</option>
      </select>
      <br />

      <input type="submit" />
    </form>
  </body>
</html>
